Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005326TestLinkUsers and Rightspublic2012-11-07 10:012013-05-30 19:40
Reporterlbprakbits 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.4 (2012 Q3 - bug fixing) 
Fixed in Version1.9.5 (2012 Q4 - bug fixing) 
Summary0005326: Make private test plans invisible in Test Plan Management for users who have no rights for these test plans
DescriptionOur customers have access to some of our TestLink projects, so rights management is essential.
At the moment, the role "senior tester" is assigned to our customers. The role "senior tester" can manage ALL test plans in a test project as the role has the right “Test Plan create/edit”.
That means that the right for the senior tester to access a specific test plan in “Test Plan Management” menu does not depend on
- whether this test plan is “public” or “private”
- whether the “senior tester” user has rights to view this test plan or <no rights>
For us, this is a big drawback in usability, as we need some private test plans which cannot be seen by the "senior tester" role. On the other hand, senior testers must be able to create and edit public test plans.
So it would be great if there was a way to enable “Test Plan Management” role-based (e.g. for “senior tester” role) ONLY...
...for public test plans
and/or
...for test plans which the “senior tester” user can see in test plan dropdown.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0005386closedfman Test Plan management - user can manage Private Test plan where she/he has no role assigned 
related to 0005323closedfman Assign Test Plan roles: Displayed user roles are not identical with stored user roles 

-  Notes
(0017789)
fman (administrator)
2012-11-07 10:05

>> At the moment, the role "senior tester" is assigned to our customers. The role >> "senior tester" can manage ALL test plans in a
>> test project as the role has the right “Test Plan create/edit”.

are you sure this can not be solved creating a new role with the correct rights for your customers ?
(0017790)
lbprakbits (reporter)
2012-11-07 10:21

In my understanding, if it is enabled for a certain role to create a new test plan, it also enables the user with this role to view ALL test plans in “Test Plan Management”. Is there any possibility to specify which test plans are accessible with the "Test Plan create/edit" right?
So, at the moment I don't know what the correct rights would be...
(0017791)
fman (administrator)
2012-11-07 11:03

Unfortunatelly I've no time to support you with this, only think you have to do is play a little bit with the rights

- Issue History
Date Modified Username Field Change
2012-11-07 10:01 lbprakbits New Issue
2012-11-07 10:05 fman Note Added: 0017789
2012-11-07 10:21 lbprakbits Note Added: 0017790
2012-11-07 11:03 fman Note Added: 0017791
2012-11-08 21:01 fman Relationship added related to 0005323
2012-12-02 18:33 fman Relationship added related to 0005386
2012-12-02 18:33 fman Task Workflow Status TBD => READY FOR TESTING
2012-12-02 18:33 fman Status new => resolved
2012-12-02 18:33 fman Fixed in Version => 1.9.5 (2012 Q4 - bug fixing)
2012-12-02 18:33 fman Resolution open => fixed
2012-12-02 18:33 fman Assigned To => fman
2013-05-30 19:40 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker